aboutsummaryrefslogtreecommitdiff
path: root/git-fetch.sh
diff options
context:
space:
mode:
authorJunio C Hamano <junkio@cox.net>2007-02-25 13:13:17 -0800
committerJunio C Hamano <junkio@cox.net>2007-03-09 00:09:25 -0800
commita858c006fae17cef44dd63737771f2bebb6eeae8 (patch)
treeb29a37231713791d09bbd987fa6d2c8a63fe8923 /git-fetch.sh
parentbd1fc628b8d456bdaea3e10d435cf1e98bc5d8a8 (diff)
downloadgit-a858c006fae17cef44dd63737771f2bebb6eeae8.tar.gz
git-a858c006fae17cef44dd63737771f2bebb6eeae8.tar.xz
git-fetch: add --quiet
Pass it to underlying fetch-pack, and also have it affect if -v is passed to http-fetch and rsync. Signed-off-by: Junio C Hamano <junkio@cox.net>
Diffstat (limited to 'git-fetch.sh')
-rwxr-xr-xgit-fetch.sh14
1 files changed, 10 insertions, 4 deletions
diff --git a/git-fetch.sh b/git-fetch.sh
index 5ae0d28cc..3aa117e32 100755
--- a/git-fetch.sh
+++ b/git-fetch.sh
@@ -26,6 +26,7 @@ keep=
shallow_depth=
no_progress=
test -t 1 || no_progress=--no-progress
+quiet=
while case "$#" in 0) break ;; esac
do
case "$1" in
@@ -56,6 +57,9 @@ do
--update-head-o|--update-head-ok)
update_head_ok=t
;;
+ -q|--q|--qu|--qui|--quie|--quiet)
+ quiet=--quiet
+ ;;
-v|--verbose)
verbose=Yes
;;
@@ -337,7 +341,8 @@ fetch_main () {
expr "z$head" : "z$_x40\$" >/dev/null ||
die "No such ref $remote_name at $remote"
echo >&2 "Fetching $remote_name from $remote using $proto"
- git-http-fetch -v -a "$head" "$remote/" || exit
+ case "$quiet" in '') v=-v ;; *) v= ;; esac
+ git-http-fetch $v -a "$head" "$remote/" || exit
;;
rsync://*)
test -n "$shallow_depth" &&
@@ -346,8 +351,9 @@ fetch_main () {
rsync -L -q "$remote/$remote_name" "$TMP_HEAD" || exit 1
head=$(git-rev-parse --verify TMP_HEAD)
rm -f "$TMP_HEAD"
+ case "$quiet" in '') v=-v ;; *) v= ;; esac
test "$rsync_slurped_objects" || {
- rsync -av --ignore-existing --exclude info \
+ rsync -a $v --ignore-existing --exclude info \
"$remote/objects/" "$GIT_OBJECT_DIRECTORY/" || exit
# Look at objects/info/alternates for rsync -- http will
@@ -394,8 +400,8 @@ fetch_main () {
git-bundle unbundle "$remote" $rref ||
echo failed "$remote"
else
- git-fetch-pack --thin $exec $keep $shallow_depth $no_progress \
- "$remote" $rref ||
+ git-fetch-pack --thin $exec $keep $shallow_depth \
+ $quiet $no_progress "$remote" $rref ||
echo failed "$remote"
fi
) |